# -*- coding: utf-8 -*-

from django.contrib import admin
from tarea.models import Actividad,Tarea,Pregunta,Eleccion,Respuesta,Imagen

class PreguntaInLine(admin.TabularInline):
	model = Pregunta
	extra = 5

class EleccionInLine(admin.TabularInline):
	model = Eleccion
	extra = 10

class ActividadAdmin(admin.ModelAdmin):
	inlines = [PreguntaInLine]

class TareaAdmin(admin.ModelAdmin):
	list_display = ('user','actividades','realizado')

class PreguntaAdmin(admin.ModelAdmin):
	inlines = [EleccionInLine]
	list_display = ('id','realizador','type','get_choices_admin','actividad','__str__',)


class ImagenAdmin(admin.ModelAdmin):
    list_display = ('pregunta','foto','get_foto')
    readonly_fields = ('get_foto',)
    fields = ('pregunta','get_foto')


    search_field = ('user',)
    def get_foto(self,obj):
        if obj.foto:
            return """<a href="/media/%s"><img src="/media/%s" alt="" heigth="100px" width="100px"/></a>"""%(obj.foto,obj.foto)
        else:
            return '(Sin imagen)'
    get_foto.short_description = 'Captura'
    get_foto.allow_tags = True


admin.site.register(Actividad,ActividadAdmin)
admin.site.register(Tarea,TareaAdmin)
admin.site.register(Pregunta,PreguntaAdmin)
admin.site.register(Eleccion)
admin.site.register(Respuesta)
admin.site.register(Imagen,ImagenAdmin)

